Bug 1167741 (CVE-2014-9028) - CVE-2014-9028 flac: Heap buffer write overflow in read_residual_partitioned_rice_
Summary: CVE-2014-9028 flac: Heap buffer write overflow in read_residual_partitioned_r...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9028
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1169698 1169699 1169700 1192670 1192671 1192672 1192673
Blocks: 1167237
TreeView+ depends on / blocked
 
Reported: 2014-11-25 10:42 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:24 UTC (History)
5 users (show)

Fixed In Version: flac 1.3.1pre1
Doc Type: Bug Fix
Doc Text:
A buffer overflow flaw was found in the way flac decoded FLAC audio files. An attacker could create a specially crafted FLAC audio file that could cause an application using the flac library to crash or execute arbitrary code when the file was read.
Clone Of:
Environment:
Last Closed: 2015-04-01 11:20:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0767 normal SHIPPED_LIVE Important: flac security update 2015-04-01 07:33:58 UTC

Description Vasyl Kaigorodov 2014-11-25 10:42:00 UTC
It was reported [1] that there's a vulnerability in flac which caused the stream decoder to write to un-allocated heap space resulting in a segfault.

Upstrem commit for this issue is at [2].

[1]: http://lists.xiph.org/pipermail/flac-dev/2014-November/005226.html
[2]: https://git.xiph.org/?p=flac.git;a=commitdiff;h=fcf0ba06ae12ccd7c67cee3c8d948df15f946b85

Comment 1 Miroslav Lichvar 2014-11-26 13:30:27 UTC
The upstream commit at [2] doesn't seem to fix this problem completely, please see other mails in the thread [1].

Comment 3 Miroslav Lichvar 2014-11-27 09:18:45 UTC
The second part of the fix is in this commit:
https://git.xiph.org/?p=flac.git;a=commit;h=5a365996d739bdf4711af51d9c2c71c8a5e14660

This is in the new flac-1.3.1 release.

Comment 4 Francisco Alonso 2014-12-02 09:00:22 UTC
Created mingw-flac tracking bugs for this issue:

Affects: fedora-all [bug 1169699]

Comment 5 Francisco Alonso 2014-12-02 09:00:24 UTC
Created xmms-flac tracking bugs for this issue:

Affects: fedora-all [bug 1169700]

Comment 6 Francisco Alonso 2014-12-02 09:00:26 UTC
Created flac tracking bugs for this issue:

Affects: fedora-all [bug 1169698]

Comment 7 Fedora Update System 2014-12-07 04:34:10 UTC
flac-1.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-12-13 09:41:29 UTC
flac-1.3.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-12-13 09:55:08 UTC
mingw-flac-1.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-13 09:55:23 UTC
mingw-flac-1.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-13 09:56:43 UTC
mingw-flac-1.3.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-17 19:43:55 UTC
mingw-flac-1.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-20 08:45:29 UTC
flac-1.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 errata-xmlrpc 2015-04-01 03:34:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0767 https://rhn.redhat.com/errata/RHSA-2015-0767.html

Comment 17 Fedora Update System 2015-08-15 02:21:46 UTC
flac-1.3.1-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-08-18 05:22:43 UTC
flac-1.3.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-08-18 05:26:01 UTC
flac-1.3.1-5.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.